Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.application6
Class ModuleTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.application6.ModuleTypeImpl<T>

All Implemented Interfaces:
  ModuleType<T>, org.jboss.shrinkwrap.descriptor.api.Child<T>

    public class ModuleTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, ModuleType<T>

This class implements the `moduleType` xsd type

Original Documentation:

The moduleType defines a single Java EE module and contains a
connector, ejb, java, or web element, which indicates the
module type and contains a path to the module file, and an
optional alt-dd element, which specifies an optional URI to
the post-assembly version of the deployment descriptor.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`ModuleTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`ModuleTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.lang.String` | `getAltDd()` Returns the `alt-dd` element
`java.lang.String` | `getConnector()` Returns the `connector` element
`java.lang.String` | `getEjb()` Returns the `ejb` element
`java.lang.String` | `getJava()` Returns the `java` element
`ModuleType<T>` | `removeAltDd()` Removes the `alt-dd` element
`ModuleType<T>` | `removeConnector()` Removes the `connector` element
`ModuleType<T>` | `removeEjb()` Removes the `ejb` element
`ModuleType<T>` | `removeJava()` Removes the `java` element
`ModuleType<T>` | `removeWeb()` Removes the `web` element
`ModuleType<T>` | `setAltDd(java.lang.String altDd)` If not already created, a new `alt-dd` element with the given value will be created.
`ModuleType<T>` | `setConnector(java.lang.String connector)` If not already created, a new `connector` element with the given value will be created.
`ModuleType<T>` | `setEjb(java.lang.String ejb)` If not already created, a new `ejb` element with the given value will be created.
`ModuleType<T>` | `setJava(java.lang.String java)` If not already created, a new `java` element with the given value will be created.
`T` | `up()`
`WebType<ModuleType<T>>` | `web()` If not already created, a new `web` element will be created and returned.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModuleTypeImpl

    public ModuleTypeImpl(T t,
                          java.lang.String nodeName,
                          org.jboss.shrinkwrap.descriptor.spi.Node node)

### ModuleTypeImpl

    public ModuleTypeImpl(T t,
                          java.lang.String nodeName,
                          org.jboss.shrinkwrap.descriptor.spi.Node node,
                          org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setAltDd

    public ModuleType<T> setAltDd(java.lang.String altDd)

  If not already created, a new `alt-dd` element with the given value will be created. Otherwise, the existing `alt-dd` element will be updated with the given value.

  Specified by:
    `setAltDd` in interface `ModuleType<T>`
  Returns:
    the current instance of `ModuleType`

### removeAltDd

    public ModuleType<T> removeAltDd()

  Removes the `alt-dd` element

  Specified by:
    `removeAltDd` in interface `ModuleType<T>`
  Returns:
    the current instance of `ModuleType`

### getAltDd

    public java.lang.String getAltDd()

  Returns the `alt-dd` element

  Specified by:
    `getAltDd` in interface `ModuleType<T>`
  Returns:
    the node defined for the element `alt-dd`

### setConnector

    public ModuleType<T> setConnector(java.lang.String connector)

  If not already created, a new `connector` element with the given value will be created. Otherwise, the existing `connector` element will be updated with the given value.

  Specified by:
    `setConnector` in interface `ModuleType<T>`
  Returns:
    the current instance of `ModuleType`

### removeConnector

    public ModuleType<T> removeConnector()

  Removes the `connector` element

  Specified by:
    `removeConnector` in interface `ModuleType<T>`
  Returns:
    the current instance of `ModuleType`

### getConnector

    public java.lang.String getConnector()

  Returns the `connector` element

  Specified by:
    `getConnector` in interface `ModuleType<T>`
  Returns:
    the node defined for the element `connector`

### setEjb

    public ModuleType<T> setEjb(java.lang.String ejb)

  If not already created, a new `ejb` element with the given value will be created. Otherwise, the existing `ejb` element will be updated with the given value.

  Specified by:
    `setEjb` in interface `ModuleType<T>`
  Returns:
    the current instance of `ModuleType`

### removeEjb

    public ModuleType<T> removeEjb()

  Removes the `ejb` element

  Specified by:
    `removeEjb` in interface `ModuleType<T>`
  Returns:
    the current instance of `ModuleType`

### getEjb

    public java.lang.String getEjb()

  Returns the `ejb` element

  Specified by:
    `getEjb` in interface `ModuleType<T>`
  Returns:
    the node defined for the element `ejb`

### setJava

    public ModuleType<T> setJava(java.lang.String java)

  If not already created, a new `java` element with the given value will be created. Otherwise, the existing `java` element will be updated with the given value.

  Specified by:
    `setJava` in interface `ModuleType<T>`
  Returns:
    the current instance of `ModuleType`

### removeJava

    public ModuleType<T> removeJava()

  Removes the `java` element

  Specified by:
    `removeJava` in interface `ModuleType<T>`
  Returns:
    the current instance of `ModuleType`

### getJava

    public java.lang.String getJava()

  Returns the `java` element

  Specified by:
    `getJava` in interface `ModuleType<T>`
  Returns:
    the node defined for the element `java`

### removeWeb

    public ModuleType<T> removeWeb()

  Removes the `web` element

  Specified by:
    `removeWeb` in interface `ModuleType<T>`
  Returns:
    the current instance of `ModuleType`

### web

    public WebType<ModuleType<T>> web()

  If not already created, a new `web` element will be created and returned. Otherwise, the existing `web` element will be returned.

  Specified by:
    `web` in interface `ModuleType<T>`
  Returns:
    the node defined for the element `web`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD